additionalProperties:
  formFields:
    - default: 3010
      envKey: PANEL_APP_PORT_HTTP
      labelEn: Web Port
      labelZh: HTTP 端口
      required: true
      rule: paramPort
      type: number
      label:
        en: Web Port
        ja: ウェブポート
        ms: Port Web
        pt-br: Porta Web
        ru: Веб-порт
        ko: 웹 포트
        zh: HTTP 端口
        zh-Hant: HTTP 埠
    - default: ""
      envKey: PANEL_DB_HOST
      key: postgresql
      labelEn: PostgreSQL Database Service
      labelZh: PostgreSQL 数据库服务
      required: true
      type: service
      label:
        en: PostgreSQL Database Service
        ja: PostgreSQLデータベースサービス
        ms: Perkhidmatan Pangkalan Data PostgreSQL
        pt-br: Serviço de Banco de Dados PostgreSQL
        ru: Сервис базы данных PostgreSQL
        ko: PostgreSQL 데이터베이스 서비스
        zh: PostgreSQL 数据库服务
        zh-Hant: PostgreSQL 数据库服务
    - default: affine
      envKey: PANEL_DB_NAME
      labelEn: Database
      labelZh: 数据库名
      random: true
      required: true
      rule: paramCommon
      type: text
      label:
        en: Database
        ja: データベース
        ms: Pangkalan Data
        pt-br: Banco de Dados
        ru: База данных
        ko: 데이터베이스
        zh: 数据库名
        zh-Hant: 資料庫名稱
    - default: affine
      envKey: PANEL_DB_USER
      labelEn: User
      labelZh: 数据库用户
      random: true
      required: true
      rule: paramCommon
      type: text
      label:
        en: User
        ja: ユーザー
        ms: Pengguna
        pt-br: Usuário
        ru: Пользователь
        ko: 사용자
        zh: 数据库用户
        zh-Hant: 資料庫使用者
    - default: affine
      envKey: PANEL_DB_USER_PASSWORD
      labelEn: Password
      labelZh: 数据库用户密码
      random: true
      required: true
      type: password
      label:
        en: Password
        ja: パスワード
        ms: Kata laluan
        pt-br: Senha
        ru: Пароль
        ko: 비밀번호
        zh: 数据库用户密码
        zh-Hant: 資料庫使用者密碼
    - default: ""
      envKey: PANEL_REDIS_HOST
      key: redis
      labelEn: Redis Service
      labelZh: redis 服务
      required: true
      type: service
      label:
        en: Redis Service
        ja: Redisサービス
        ms: Perkhidmatan Redis
        pt-br: Serviço Redis
        ru: Сервис Redis
        ko: Redis 서비스
        zh: redis 服务
        zh-Hant: redis 服务
    - default: ""
      disabled: true
      envKey: PANEL_REDIS_ROOT_PASSWORD
      labelEn: Password
      labelZh: redis 密码
      type: text
      label:
        en: Password
        ja: パスワード
        ms: Kata laluan
        pt-br: Senha
        ru: Пароль
        ko: 비밀번호
        zh: redis 密码
        zh-Hant: redis 密码